# UniTAP.dev.ports.dprx

class DPRX(UniTAP.dev.ports.rx.RX):

Main class of `DPRX` object. Inherited from class `RX`. Class describes capabilities of 300th (3XX) series of DP and USB-C devices in Sink (RX - receiver) role.

###### Attributes:

- __link (LinkDisplayPortRx): object of `LinkDisplayPortRx`.
- __dpcd (DPCDRegisters): object of `DPCDRegisters`.
- __edid (EdidSink): object of `EdidSink`.
- __hdcp (HdcpSink): object of `HdcpSink`.
- __event_capturer (EventCapturer): object of `EventCapturer`.
- __video_capturer (VideoCapturer): object of `VideoCapturerDP`.

DPRX( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
link: UniTAP.dev.ports.modules.link.dp.link_rx.LinkDisplayPortRx

Should be used to control link capabilities on Sink (RX - receiver) role.

###### Returns:

> object of `LinkDisplayPortRx` type.

dpcd: UniTAP.dev.ports.modules.dpcd.dpcd.DPCDRegisters

Should be used to work with DPCD registers on Sink (RX - receiver) role.

###### Returns:

> object of `DPCDRegisters` type.

edid: UniTAP.dev.ports.modules.edid.edid.EdidSink

Should be used to work with EDID on Sink (RX - receiver) role.

###### Returns:

> object of `EdidSink` type.

hdcp: UniTAP.dev.ports.modules.hdcp.hdcp_rx.HdcpSink

Should be used to work with HDCP on Sink (RX - receiver) role.

###### Returns:

> object of `HdcpSink`.

event_capturer: UniTAP.dev.ports.modules.capturer.event.event_capturer.EventCapturer

Should be used to control `EventCapturer` on Sink (RX - receiver) role.

###### Returns:

> object of `EventCapturer` type.

video_capturer: UniTAP.dev.ports.modules.capturer.video.video_capturer.VideoCapturerDP

Should be used to control `VideoCapturerDP` on Sink (RX - receiver) role.

###### Returns:

> object of `VideoCapturerDP` type.

##### Inherited Members

UniTAP.dev.ports.rx.RX
  audio_capturer